import UpgradeHelper from "@11ty/eleventy-upgrade-help";

import files from './config/files/index.js';
import plugins from './config/plugins/index.js';
import filters from './config/filters/index.js';
import collections from './config/collections/index.js';

export default function(eleventyConfig) { 
    eleventyConfig.addPlugin(UpgradeHelper);

    eleventyConfig.addPlugin(files);
    eleventyConfig.addPlugin(plugins);
    eleventyConfig.addPlugin(filters);
    eleventyConfig.addPlugin(collections);

    return {
        passthroughFileCopy: true,
        dataTemplateEngine: false,
        markdownTemplateEngine: "njk",

        htmlTemplateEngine: "njk",
            dir: {
                input: "src",
                includes: "_includes",
                data: "_data",
                output: "_site"
        }
    };
};